Skip to navigation

List forms

View as Markdown
Returns every form in your organization as a JSON array.

Authentication

AuthorizationBearer

JWT bearer token authentication. Include the Configuration API key in the Authorization header as ‘Bearer <token>’.

Response

The forms in your organization
idstringOptionalRead-only
Unique identifier of the forms ingestion configuration, assigned by the server. Cannot be changed.
namestringOptional>=1 character
Name of this forms ingestion, for your reference.
connector_idstringOptional

ID of the connector that forms are ingested from. Cannot be changed after creation. ID of an existing connector (GET /configurations/v1alpha1/platform/connectors).

systemenumOptional

External system the forms are ingested from. Must match the system-specific settings provided. Cannot be changed after creation.

service_now_configobjectOptional
Form ingestion settings for ServiceNow.
jira_configobjectOptional
Form ingestion settings for Jira Service Management.
fresh_service_configobjectOptional
Form ingestion settings for Freshservice.
wolken_configobjectOptional
Form ingestion settings for Wolken.
ivanti_configobjectOptional
Form ingestion settings for Ivanti.
solarwinds_configobjectOptional
Form ingestion settings for SolarWinds.
bmc_remedy_configobjectOptional
Form ingestion settings for BMC Remedy.
bmc_remedy_dwp_configobjectOptional
Form ingestion settings for BMC Remedy Digital Workplace.
manage_engine_configobjectOptional
Form ingestion settings for ManageEngine.
workday_configobjectOptional
Form ingestion settings for Workday.
microsoft_dynamics_configobjectOptional
Form ingestion settings for Microsoft Dynamics.
symphony_configobjectOptional
Form ingestion settings for Symphony.
gateway_configobjectOptional
Form ingestion settings for Gateway.
updated_timedatetimeOptionalRead-only
When the configuration was last updated.
updated_bystringOptionalRead-only
Who last updated the configuration.
versionobjectOptional
Document version. On update, send back the num from your last read.

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error